<?php
// GlobeWeather module - changelog.php
// (C)2010-2018 INNATO BV - www.innato.nl
// @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
// **************************************************************************
// A metar station weather fetching module for Joomla! 3.x by Innato B.V.
// **************************************************************************

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>

Copyright and disclaimer
------------------------
This application is open source software released under the GPL. It is provided 'as-is' without warranty and without support. All liabilities related to the use of this product are denied.

Change log
----------
This is a non-exhaustive changelog for GlobeWeather for Joomla! 3.x


-------------------- v2.2.1 [28-Jul-2018] ------------------
*	Added 'global' metar time offset option
*	Distributing metar cache renewals to better level server load

-------------------- v2.2.0 [22-Jul-2018] ------------------
*	NOAA no longer provides metar over http. Replaced by retrieval from https://aviationweather.gov
*	Added notice when PHP FTP extension is not enabled, followed by automatical switch to HTTP mode only

-------------------- v2.1.1 [28-Jun-2017] ------------------
*	Fixed warning "wind direction not numerical" when wind is variable

-------------------- v2.1.0 [28-Mar-2017] ------------------
*	Fixed Strict Standards error Savant plug-in when testing on WAMP server32

-------------------- v2.0.0 [17-Apr-2016] ------------------
*	PHP 7.0.5 compatible

-------------------- v1.5.3 [10-Feb-2016] ------------------
*	Update copyright notices

-------------------- v1.5.2.0 [27-Jun-2014] non-essential update ------------------
*	Metar mode code facilitates automatic setting to autodetect when upgrading

-------------------- v1.5.1.0 [08-Feb-2014] ------------------
*	Fixed Strict Standards error Savant plug-in 

-------------------- v1.5.0.2 [25-Dec-2013] non-essential update ------------------
*	Fix to version check link. 

-------------------- v1.5.0.1 [21-Dec-2013] non-essential update ------------------
*	Fix to avoid 'header sent' notice on particular instances. 

-------------------- v1.5.0 [20-Oct-2013] ------------------
*	Bugfix getting config setting (Standard Edition only)

-------------------- v1.4.9 [10-Jul-2013] ------------------
*	Removed variable assignment by reference. Not a bug but generated E Notice. 

-------------------- v1.4.8 [22-Jun-2013] ------------------
*	Bugfix: one icon file iconset 2 wrongly named

-------------------- v1.4.7 [29-Mar-2013] ------------------
*	Made J30 compatible and reduced config options

-------------------- v1.4.6 [16-Dec-2012] ------------------
*	Minor bugfix - system notice generated due to non-existing variable from earlier version

-------------------- v1.4.5.2 [15-Oct-2012] Non-essential update ------------------
*	Avoid ftp error when connection occasionally fails 

-------------------- v1.4.5.1 [13-Oct-2012] Non-essential update ------------------
*	Avoid unlink notice 

-------------------- v1.4.5 [30-Aug-2012] ------------------
*	Bugfix scrolling ticker

-------------------- v1.4.4 [29-Aug-2012] ------------------
*	FTP mode defaults to passive
*	FTP and HTTP port and timeout parameters removed. Operate default values

-------------------- v1.4.3 [28-Jun-2012] ------------------
*	Optimised templates

-------------------- v1.4.2 [13-May-2012] ------------------
*	Parameter entries made more foregiving
*	Front- and back-end language English only. Language pack downloadable.

-------------------- v1.4.1 [9-Apr-2012] ------------------
*	Bugfix - removed BOM signature from language files

-------------------- v1.4.0.0 [27-Jan-2012] ------------------
*	Compatible with Joomla! 2.5

-------------------- v1.3.5.0 [15-Jan-2012] ------------------
*	Bugfix wind direction 000 N

-------------------- v1.3.4.0 [01-Sep-2011] ------------------
*	Expanded for use with Joomla! 1.6 and 1.7
*	Bulgarian, Catalan, Maylay translation

-------------------- v1.3.3.1 [11-May-2011] Non-essential update ------------------
*	Macedonian Slavic translation

-------------------- v1.3.3.0 [29-Apr-2011] ------------------
*	Automatic metar cache permissions management

-------------------- v1.3.2.1 [22-Apr-2011] Non-essential update ------------------
*	Added station selector button option (black/white) in parameters

-------------------- v1.3.2 [16-Apr-2011] ------------------
*	Added HTTP3 to automatic metar alternative

-------------------- v1.3.1.1 [06-Apr-2011] Non-essential update ------------------
*	Details list link type selectable

-------------------- v1.3.1 [06-Apr-2011] ------------------
*	Details list link replaced by arrow-down glyph
*	Additional metar retrieval options
*	Metar retrieval optimised and automatic select if failed
*	Minor bugfixes

-------------------- v1.3.0.3 [02-Apr-2011] ------------------
*	Replaced html styling tags by css inline styling
*	Added Danish and Turkish translation

-------------------- v1.3.0.2 [17-Mar-2011] ------------------
*	Additional options
*	Added Chinese (simplified) translation

-------------------- v1.3.0.1 [08-Mar-2011] Non-essential update ------------------
*	Added Indonesian translation
*	Corrected windchill, dew point, humidity/heat index from being reported '---' while value is 0

-------------------- v1.3.0 [25-Feb-2011] ------------------
*	General overhaul of marquee
*	Replaced deprecated marquee HTML element by javascript
*	Module made valid XHTML 1.0 Transitional
*	Downsized configuration options in standard edition
*	Supported backend language English only

-------------------- v1.1.0.1 [24-Jan-2011] Non-essential update ------------------
*	Frontend languages moved to separate installation package

-------------------- v1.1 [15-Jan-2011] ------------------
*	Stable release.

-------------------- v1.1 beta [28-Dec-2010] ------------------
*	Self-check of metar cache directory permissions and set if necessary.

-------------------- v1.0.0.2 beta [16-Dec-2010] Non-essential update ------------------
*	Avoided session warning 'already open' with session_start

-------------------- v1.0.0.1 beta [26-Nov-2010] Non-essential update ------------------
*	Hungarian translation frontend

-------------------- v1.0 beta [17-Nov-2010] ------------------
*	First beta release 1



CREDITS
=======
ICON SETS
- MambWeather Classical: Vasco Nunes
- Klear KWeather: KDE-Look.org http://kde-look.org - expanded and modified by Innato BV
- Serradinho: George Serradinho (www.serradinho.com) - expanded and modified by Innato BV
- Tick: M. Long (maxclassic.blogspot.com) - expanded and modified by Innato BV

TRANSLATIONS - frontend
Pavel Kukushev (Bulgarian) - Oscar Terrado Blazquez (Catalan) - moiska_joomla (Chinese, simplified) - Davor Kosanovic (Croatian) - Antonn Sprinzl (Czech) - Lars Westermann (Danish) - Rob Jakobs (Dutch, English)- Mika Salo (Finnish) - Norbert Jotterand (French) - Fernando Coello (Galician, Spanish) - Harry Binder (German) - Alexandros Malounis (Greek) - Rachmat Setiawan (Indonesian) - Riccardo Vianello (Italian) - Kiril Sardjoski (Macedonian Slavic) - Suhaimi Othman (Malay)- Hallstein Myrstad (Norwegian) - Michal Zygowski (Polish) - Vasco Nunes (Portuguese) - Sergey Krupennikov (Russian) - Cristoffer Branmyr (Swedish) - Google (Turkish) - Nguyen Anh Tuan (Vietnamese)
