<?php

// Modified by INNATO BV - www.innato.nl: function plugin to prevent Strict Standard error
// 08-02-2014
// innato php7 17042016

// UPDATE 28-Mar-2017
// WAMPserver 32 threw strict standard error which was resolved when function plugin(...) (below) was commented out...
// tested with PHP 5.4, 5.5, 5.6, 7.0, 7.1 and all OK now


/**
* 
* Abstract Savant2_Plugin class.
* 
* You have to extend this class for it to be useful; e.g., "class
* Savant2_Plugin_example extends Savant2_Plugin".
* 
* $Id: Plugin.php,v 1.1.1.1 2004/07/20 13:11:53 vasco Exp $
* 
* @author Paul M. Jones <pmjones@ciaweb.net>
* 
* @package Savant2
* 
* @license http://www.gnu.org/copyleft/lesser.html LGPL
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of the
* License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
*/

class Savant2_Plugin {
	
	/**
	* 
	* Optional reference to the calling Savant object.
	* 
	* @var object
	* 
	*/
	
	var $Savant = null;
	
	
	/**
	* 
	* Constructor.
	* 
	* @access public
	* 
	*/
	
	// php7
	function __construct($conf = array())
	{
		settype($conf, 'array');
		foreach ($conf as $key => $val) {
			$this->$key = $val;
		}
	}
	
	
	/**
	* 
	* Stub method for extended behaviors.
	*
	* @access public
	* 
	* @return void
	*
	*/
	
//	function plugin($dummy1 = 0, $dummy2 = 0, $dummy3 = 0, $dummy4 = 0 ) {	// Dummy to avoid Strict Standards error
//	}
}
?>